### Hierarchy

- DisclaimerController

## Index

### Constructors

- constructor

### Properties

- dataLayerGroup_
- disclaimer_
- element_
- eventHelper_
- gettextCatalog_
- map
- msg
- msgs_
- ngeoLayerHelper_
- options
- rootScope_
- sce_
- timeout_
- visibility

### Methods

- $onDestroy
- $onInit
- closeAll_
- closeDisclaimerMessage_
- handleLayersAdd_
- handleLayersRemove_
- registerLayer_
- showAll_
- showDisclaimerMessage_
- unregisterLayer_
- update_

## Constructors

### constructor

- new DisclaimerController($element: JQuery<HTMLElement>, $sce: ISCEService, $timeout: ITimeoutService, $rootScope: IScope, gettextCatalog: gettextCatalog, ngeoDisclaimer: MessageDisclaimerService, ngeoEventHelper: EventHelper, ngeoLayerHelper: LayerHelper, gmfDisclaimerOptions: any): DisclaimerController

- - Defined in src/disclaimer/component.js:81

  Used metadata:

  - `disclaimer`: The disclaimer text for this element. For WMS and WMTS layers, layer groups and themes.
  nginject
  ngdoc

    controller

  ngname

    GmfDisclaimerController

  #### Parameters

  - ##### $element: JQuery<HTMLElement>

    Element.

  - ##### $sce: ISCEService

    Angular sce service.

  - ##### $timeout: ITimeoutService

    Angular timeout service.

  - ##### $rootScope: IScope

    Angular rootScope.

  - ##### gettextCatalog: gettextCatalog

    Gettext catalog.

  - ##### ngeoDisclaimer: MessageDisclaimerService

    Ngeo Disclaimer service.

  - ##### ngeoEventHelper: EventHelper

    Ngeo Event Helper.

  - ##### ngeoLayerHelper: LayerHelper

    Ngeo Layer Helper.

  - ##### gmfDisclaimerOptions: any

    The options.

  #### Returns DisclaimerController

## Properties

### dataLayerGroup_

dataLayerGroup_: LayerGroup

- Defined in src/disclaimer/component.js:164

### disclaimer_

disclaimer_: MessageDisclaimerService

- Defined in src/disclaimer/component.js:149

### element_

element_: JQuery<HTMLElement>

- Defined in src/disclaimer/component.js:144

### eventHelper_

eventHelper_: EventHelper

- Defined in src/disclaimer/component.js:154

### gettextCatalog_

gettextCatalog_: gettextCatalog

- Defined in src/disclaimer/component.js:139

### map

map: Map

- Defined in src/disclaimer/component.js:100

### msg

msg: string

- Defined in src/disclaimer/component.js:290

### msgs_

msgs_: string[]

- Defined in src/disclaimer/component.js:119

### ngeoLayerHelper_

ngeoLayerHelper_: LayerHelper

- Defined in src/disclaimer/component.js:159

### options

options: any

- Defined in src/disclaimer/component.js:95

### rootScope_

rootScope_: IScope

- Defined in src/disclaimer/component.js:134

### sce_

sce_: ISCEService

- Defined in src/disclaimer/component.js:124

### timeout_

timeout_: ITimeoutService

- Defined in src/disclaimer/component.js:129

### visibility

visibility: boolean

- Defined in src/disclaimer/component.js:107

Visibility that is set to true when a new msg is there.

## Methods

### $onDestroy

- $onDestroy(): void

- - Defined in src/disclaimer/component.js:273

  #### Returns void

### $onInit

- $onInit(): void

- - Defined in src/disclaimer/component.js:170

  Initialise the controller.

  #### Returns void

### closeAll_

- closeAll_(layer: BaseLayer): void

- - Defined in src/disclaimer/component.js:310

  #### Parameters

  - ##### layer: BaseLayer

    Layer

  #### Returns void

### closeDisclaimerMessage_

- closeDisclaimerMessage_(layerUid: string, msg: string): void

- - Defined in src/disclaimer/component.js:372

  #### Parameters

  - ##### layerUid: string

    Layer identifier.

  - ##### msg: string

    Disclaimer message.

  #### Returns void

### handleLayersAdd_

- handleLayersAdd_(evt: BaseEvent | Event): void

- - Defined in src/disclaimer/component.js:188

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### handleLayersRemove_

- handleLayersRemove_(evt: BaseEvent | Event): void

- - Defined in src/disclaimer/component.js:203

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### registerLayer_

- registerLayer_(layer: BaseLayer): void

- - Defined in src/disclaimer/component.js:217

  #### Parameters

  - ##### layer: BaseLayer

    Layer.

  #### Returns void

### showAll_

- showAll_(layer: BaseLayer): void

- - Defined in src/disclaimer/component.js:324

  #### Parameters

  - ##### layer: BaseLayer

    Layer

  #### Returns void

### showDisclaimerMessage_

- showDisclaimerMessage_(layerUid: string, msg: string): void

- - Defined in src/disclaimer/component.js:284

  #### Parameters

  - ##### layerUid: string

    Layer identifier.

  - ##### msg: string

    Disclaimer message.

  #### Returns void

### unregisterLayer_

- unregisterLayer_(layer: BaseLayer): void

- - Defined in src/disclaimer/component.js:258

  #### Parameters

  - ##### layer: BaseLayer

    Layer.

  #### Returns void

### update_

- update_(layer: BaseLayer): void

- - Defined in src/disclaimer/component.js:339

  #### Parameters

  - ##### layer: BaseLayer

    Layer

  #### Returns void

Generated using TypeDoc